using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace TreeViewWithControls
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			RadTreeNode node1 = new RadTreeNode("Node1");
			RadTreeNode node2 = new RadTreeNode("Node2");
			RadTreeNode node3 = new RadTreeNode("Node3");
			RadTreeNode node4 = new RadTreeNode("Node4");
			RadTreeNode node5 = new RadTreeNode("Node5");
			RadTreeNode node6 = new RadTreeNode("Node6");
			node5.Nodes.Add(node4);
			node5.Nodes.Add(node6);

			RadButtonElement button = new RadButtonElement();
			button.Text = "CustomButton";
			node4.HostedItem = button;

			this.radTreeView1.Nodes.Add(node1);
			this.radTreeView1.Nodes.Add(node2);
			this.radTreeView1.Nodes.Add(node3);
			this.radTreeView1.Nodes.Add(node5);

			this.radTreeView1.NodeExpandedChanged += new RadTreeView.TreeViewEventHandler(radTreeView1_NodeExpandedChanged);

		}

		void radTreeView1_NodeExpandedChanged(object sender, RadTreeViewEventArgs e)
		{
			this.radTreeView1.InvalidateLayout();
		}	
	}
}